%define upstream_name	 Lingua-Stem-Snowball-Da
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Porters stemming algorithm for Denmark
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CI/CINE/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:	noarch
Requires:	locales-da

%{?perl_default_filter}

%description
The stem function takes a scalar as a parameter and stems the word according to
Martin Porters Danish stemming algorithm, which can be found at the Snowball
website: http://snowball.tartarus.org/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install
mv %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer.pl \
    %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer-Da.pl

%files
%doc Changes README
%{perl_vendorlib}/Lingua
%{_mandir}/man3*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-10.mga8
+ Revision: 1495349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-9.mga7
+ Revision: 1268883
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-8.mga6
+ Revision: 1029159
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.10.0-7.mga6
+ Revision: 929855
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 745585
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.10.0-5.mga5
+ Revision: 733115
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 685221
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 512591
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 369072
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 22571
- cleaning spec file
- imported package perl-Lingua-Stem-Snowball-Da


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 403391
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-9mdv2009.0
+ Revision: 257600
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-8mdv2009.0
+ Revision: 245629
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.01-6mdv2008.1
+ Revision: 136280
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-6mdv2008.0
+ Revision: 86522
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-5mdv2007.0
- Rebuild

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-4mdk
- spec cleanup
- fix directory ownership
- %%mkrel
- rpmbuildupdate aware
- better summary
- better description
- better url

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.01-3mdk
- fix deps

